\chapter{Combinatorics or In how many ways Maths can surprise you?}
\label{ch:Combinatorics}
In how many ways 5 people can sit on five seats at the cinema? How many possible triplets of ice cream flavors you can ask at the ice-cream maker? How many \textit{trees} you can build with $n$ leaves?\\
These are typical questions arising frequently in combinatorics (expecially the ice-cream one $\ldots$ yum!) and with simple notions, a great insight and some basic formulas you will be able to answer them all.

\section{Multiplied binomials}
\label{sec:Multiplied binomials}
Amazing combo that strucks everyone at first sight
$$\sum\limits_{k=1} ^n k\cdot \binom{n}{k} = 1 \cdot \binom{n}{1} + 2 \cdot \binom{n}{2} + 3 \cdot \binom{n}{3} + \ldots + n \cdot \binom{n}{n} = n \cdot 2^{n-1}$$
valid $\forall n \in \mathbb{N}$.\\
\begin{proof}
$$
\begin{aligned}
\binom{n}{1}+2\binom{n}{2}+3\binom{n}{3}+\ldots+n\binom{n}{n} &=n\binom{n-1}{0}+2\frac{n}{2}\binom{n-1}{1}+\ldots+n\binom{n-1}{n-1}\\
&=n\binom{n-1}{0}+n\binom{n-1}{1}+\ldots+n\binom{n-1}{n-1}\\
&=n\left(\binom{n-1}{0}+\binom{n-1}{1}+\ldots+\binom{n-1}{n-1}\right)\\
&=n\cdot 2^{n-1}
\end{aligned}
$$
\end{proof}
Or you could try a \textit{word-}proof:
\begin{proof}
Consider the number of ways to choose a team (with $k \ge 1$ members) and choosing the team's captain. The \hyperref[sec:A note on notations (cit.)]{\textit{LHS}} counts this based on $k$ and adds the values up (for each $k$, we first choose the team members and then choose one of them as captain). Alternatively, we can first pick one person as the captain ($n$ choices) and then choose the rest of the team (zero or more members out of the remaining $n - 1$ people).
\end{proof}

\section{Tuples of ice-creams \ldots yum!}
\label{sec:tuples-of-ice-creams}
Assuming you want to choose all possible $k$-tuples of flavors among $n$ ice-creams, in how many ways you can do it? Let's write some mathematical stuff $\ldots$
$$
\begin{aligned}
\text{number of ways to choose } k \text{-tuples of flavors among } n \text{ ice-creams} &= \mathcal{C}(n,k)\\
&= \sum \limits_{i=0} ^k \mathcal{C}(n,i)\\
&=\binom{n+k-1}{n-1}
\end{aligned}
$$
e.g $n=3, k=2$
$$\begin{cases}
aa\text{ }bb\text{ }cc\\
ab\text{ }ac\\
bc
\end{cases}$$

\section{Recursive binomials}
\label{sec:Recursive binomials}
Even if it may seem trivial and a \textit{deja-vu} identity, it's not:
$$
\begin{aligned}
\mathcal{S}(n) &= \sum\limits_{i=1}^{\Bigl\lfloor \frac{n}{4} \Bigr\rfloor} \binom{n-3i}{i}\\
&= \mathcal{S}(n-1) + \mathcal{S}(n-3) + \mathcal{S}(-7)\\
&= \mathcal{S}(n-1) + \mathcal{S}(n-4) + 1
\end{aligned}
$$
May the induction be with the reader when trying to prove this identity.

\section{Trees}
\label{sec:Trees}
Counting the number of trees that you can build with \hyperref[sec:A note on notations (cit.)]{\textit{exactly}} $n$ \cite{Vertex_Wikipedia}, is not so easy, and even \cite{Donald_Knuth_Wikipedia} gives only a solution to find an approximation of this number in \cite{The_Art_Of_Computer_Programming_Wikipedia}.
Let
$$\alpha \approx 2.955, \beta \approx \frac{2\pi \cdot (0.4399)^2}{\alpha ^2}$$
then
$$\text{Number of different trees with } n \text{ nodes}$$
$$\boxed{\mathcal{T}(n)\approx \frac{1}{\alpha^{n-1}} \cdot \frac{1}{n} \sqrt{\frac{\beta}{2\pi \cdot n}} + \mathcal{O} \left(\alpha ^ n \cdot \frac{1}{n^{\frac{\beta}{2}}}\right)}$$
